using System;
using Quadarax.Foundation.Core.Console;

namespace Quadarax.Foundation.Core.QConsole
{
    public class DebugConsoleWriter : ConsoleWriter
    {
        public static bool IsWriteDebugEnabled { get; set; }

        public DebugConsoleWriter(ConsoleColor backColor) : base(Defaults.Console.ConsoleDebugForeColor, backColor)
        {
        }

        public DebugConsoleWriter() : base(Defaults.Console.ConsoleDebugForeColor)
        {
        }

        public ConsoleWriter WriteDebugLine(string text)
        {
            if (IsWriteDebugEnabled)
            {
                WriteLine(text);
            }
            return this;
        }
        public ConsoleWriter WriteDebugLine()
        {
            if (IsWriteDebugEnabled)
            {
                WriteLine();
            }
            return this;
        }

    }
}
